Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsIn2OutSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsIn2OutSP.java	(revision 1211)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsIn2OutSP.java	(revision 1247)
@@ -15,5 +15,5 @@
 import schedframe.events.scheduling.SchedulingEvent;
 import schedframe.resources.ResourceStatus;
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
@@ -53,5 +53,5 @@
 			TaskQueue q = queues.get(0);
 
-			List<ComputingNode> notSelectedNodes = resourceManager.getComputingNodes();
+			List<Node> notSelectedNodes = resourceManager.getNodes();
 			// check all tasks in queue
 			for (int i = 0; i < q.size(); i++) {
@@ -59,5 +59,5 @@
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {
-					ComputingNode node = chooseProvider(resourceManager, task);
+					Node node = chooseProvider(resourceManager, task);
 					if (node != null) {
 						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
@@ -73,8 +73,8 @@
 	}
 	
-	private ComputingNode chooseProvider(ClusterResourceManager resourceManager, TaskInterface<?> task) {
-		List<ComputingNode> nodes = filterNodes(resourceManager.getComputingNodes(), task);
+	private Node chooseProvider(ClusterResourceManager resourceManager, TaskInterface<?> task) {
+		List<Node> nodes = filterNodes(resourceManager.getNodes(), task);
 		Collections.sort(nodes, new ResourceIdComparator());
-		for(ComputingNode node: nodes){
+		for(Node node: nodes){
 			Integer id = Integer.parseInt(node.getName().split("_")[1]);
 			if((id >= START_ID  && id <= END_ID)){
@@ -88,5 +88,5 @@
 
 	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(
-			ComputingNode node, TaskInterface<?> task) {
+			Node node, TaskInterface<?> task) {
 
 		Map<ResourceUnitName, ResourceUnit> map = new HashMap<ResourceUnitName, ResourceUnit>();
@@ -122,7 +122,7 @@
 	}
 	
-	private List<ComputingNode> filterNodes(List<ComputingNode> nodes, TaskInterface<?> task){
-		List<ComputingNode> filteredNodes = new ArrayList<ComputingNode>();
-		for (ComputingNode node : nodes) {
+	private List<Node> filterNodes(List<Node> nodes, TaskInterface<?> task){
+		List<Node> filteredNodes = new ArrayList<Node>();
+		for (Node node : nodes) {
 			int cpuRequest;
 			try {
@@ -165,6 +165,6 @@
 	}
 	
-	private void adjustOtherFans(List<ComputingNode> nodes){
-		for(ComputingNode node : nodes){
+	private void adjustOtherFans(List<Node> nodes){
+		for(Node node : nodes){
 			if(node.getFreeProcessorsNumber() == node.getProcessorsNumber()){
 				//node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
@@ -175,7 +175,7 @@
 	}
 	
-	class ResourceIdComparator implements Comparator<ComputingNode> {
-
-		public int compare(ComputingNode node1, ComputingNode node2) {
+	class ResourceIdComparator implements Comparator<Node> {
+
+		public int compare(Node node1, Node node2) {
 			Integer id1 = Integer.parseInt(node1.getName().split("_")[1]);
 			Integer id2 = Integer.parseInt(node2.getName().split("_")[1]);
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsOut2InSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsOut2InSP.java	(revision 1211)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsOut2InSP.java	(revision 1247)
@@ -15,5 +15,5 @@
 import schedframe.events.scheduling.SchedulingEvent;
 import schedframe.resources.ResourceStatus;
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
@@ -53,5 +53,5 @@
 			TaskQueue q = queues.get(0);
 
-			List<ComputingNode> notSelectedNodes = resourceManager.getComputingNodes();
+			List<Node> notSelectedNodes = resourceManager.getNodes();
 			// check all tasks in queue
 			for (int i = 0; i < q.size(); i++) {
@@ -59,5 +59,5 @@
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {
-					ComputingNode node = chooseProvider(resourceManager, task);
+					Node node = chooseProvider(resourceManager, task);
 					if (node != null) {
 						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
@@ -73,8 +73,8 @@
 	}
 	
-	private ComputingNode chooseProvider(ClusterResourceManager resourceManager, TaskInterface<?> task) {
-		List<ComputingNode> nodes = filterNodes(resourceManager.getComputingNodes(), task);
+	private Node chooseProvider(ClusterResourceManager resourceManager, TaskInterface<?> task) {
+		List<Node> nodes = filterNodes(resourceManager.getNodes(), task);
 		Collections.sort(nodes, new ResourceIdComparator());
-		for(ComputingNode node: nodes){
+		for(Node node: nodes){
 			Integer id = Integer.parseInt(node.getName().split("_")[1]);
 			if((id >= START_ID  && id <= END_ID)){
@@ -87,5 +87,5 @@
 
 	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(
-			ComputingNode node, TaskInterface<?> task) {
+			Node node, TaskInterface<?> task) {
 
 		Map<ResourceUnitName, ResourceUnit> map = new HashMap<ResourceUnitName, ResourceUnit>();
@@ -121,7 +121,7 @@
 	}
 	
-	private List<ComputingNode> filterNodes(List<ComputingNode> nodes, TaskInterface<?> task){
-		List<ComputingNode> filteredNodes = new ArrayList<ComputingNode>();
-		for (ComputingNode node : nodes) {
+	private List<Node> filterNodes(List<Node> nodes, TaskInterface<?> task){
+		List<Node> filteredNodes = new ArrayList<Node>();
+		for (Node node : nodes) {
 			int cpuRequest;
 			try {
@@ -164,6 +164,6 @@
 	}
 	
-	private void adjustOtherFans(List<ComputingNode> nodes){
-		for(ComputingNode node : nodes){
+	private void adjustOtherFans(List<Node> nodes){
+		for(Node node : nodes){
 			if(node.getFreeProcessorsNumber() == node.getProcessorsNumber()){
 				//node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
@@ -174,7 +174,7 @@
 	}
 	
-	class ResourceIdComparator implements Comparator<ComputingNode> {
+	class ResourceIdComparator implements Comparator<Node> {
 
-		public int compare(ComputingNode node1, ComputingNode node2) {
+		public int compare(Node node1, Node node2) {
 			Integer id1 = Integer.parseInt(node1.getName().split("_")[1]);
 			Integer id2 = Integer.parseInt(node2.getName().split("_")[1]);
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsRandomSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsRandomSP.java	(revision 1211)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsRandomSP.java	(revision 1247)
@@ -11,5 +11,5 @@
 import schedframe.events.scheduling.SchedulingEvent;
 import schedframe.resources.ResourceStatus;
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
@@ -50,5 +50,5 @@
 			TaskQueue q = queues.get(0);
 
-			List<ComputingNode> notSelectedNodes = resourceManager.getComputingNodes();
+			List<Node> notSelectedNodes = resourceManager.getNodes();
 			// check all tasks in queue
 			for (int i = 0; i < q.size(); i++) {
@@ -56,5 +56,5 @@
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {
-					ComputingNode node = chooseRandomProvider(resourceManager, task);
+					Node node = chooseRandomProvider(resourceManager, task);
 					if (node != null) {
 						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
@@ -70,6 +70,6 @@
 	}
 	
-	private ComputingNode chooseRandomProvider(ClusterResourceManager resourceManager, TaskInterface<?> task) {
-		List<ComputingNode> nodes = filterNodes(resourceManager.getComputingNodes(), task);
+	private Node chooseRandomProvider(ClusterResourceManager resourceManager, TaskInterface<?> task) {
+		List<Node> nodes = filterNodes(resourceManager.getNodes(), task);
 		if(nodes.size() > 0)
 			return randomNode(nodes);
@@ -78,5 +78,5 @@
 
 	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(
-			ComputingNode node, TaskInterface<?> task) {
+			Node node, TaskInterface<?> task) {
 
 		Map<ResourceUnitName, ResourceUnit> map = new HashMap<ResourceUnitName, ResourceUnit>();
@@ -112,7 +112,7 @@
 	}
 	
-	private List<ComputingNode> filterNodes(List<ComputingNode> nodes, TaskInterface<?> task){
-		List<ComputingNode> filteredNodes = new ArrayList<ComputingNode>();
-		for (ComputingNode node : nodes) {
+	private List<Node> filterNodes(List<Node> nodes, TaskInterface<?> task){
+		List<Node> filteredNodes = new ArrayList<Node>();
+		for (Node node : nodes) {
 			int cpuRequest;
 			try {
@@ -145,10 +145,10 @@
 	}
 	
-	private ComputingNode randomNode(List<ComputingNode> nodes){
+	private Node randomNode(List<Node> nodes){
 		return nodes.get(rand.nextInt(nodes.size()));
 	}
 	
-	private void adjustOtherFans(List<ComputingNode> nodes){
-		for(ComputingNode node : nodes){
+	private void adjustOtherFans(List<Node> nodes){
+		for(Node node : nodes){
 			if(node.getFreeProcessorsNumber() == node.getProcessorsNumber()){
 				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.OFF);
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsLeft2RightSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsLeft2RightSP.java	(revision 1211)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsLeft2RightSP.java	(revision 1247)
@@ -15,5 +15,5 @@
 import schedframe.events.scheduling.SchedulingEvent;
 import schedframe.resources.ResourceStatus;
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
@@ -54,5 +54,5 @@
 			TaskQueue q = queues.get(0);
 
-			List<ComputingNode> notSelectedNodes = resourceManager.getComputingNodes();
+			List<Node> notSelectedNodes = resourceManager.getNodes();
 			// check all tasks in queue
 			for (int i = 0; i < q.size(); i++) {
@@ -60,5 +60,5 @@
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {
-					ComputingNode node = chooseProvider(resourceManager, task);
+					Node node = chooseProvider(resourceManager, task);
 					if (node != null) {
 						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
@@ -74,8 +74,8 @@
 	}
 
-	private ComputingNode chooseProvider(ClusterResourceManager resourceManager, TaskInterface<?> task) {
-		List<ComputingNode> nodes = filterNodes(resourceManager.getComputingNodes(), task);
+	private Node chooseProvider(ClusterResourceManager resourceManager, TaskInterface<?> task) {
+		List<Node> nodes = filterNodes(resourceManager.getNodes(), task);
 		Collections.sort(nodes, new ResourceIdComparator());
-		for (ComputingNode node : nodes) {
+		for (Node node : nodes) {
 			Integer id = Integer.parseInt(node.getName().split("_")[1]);
 			if ((id >= START_ID && id <= END_ID)) {
@@ -88,5 +88,5 @@
 	}
 
-	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(ComputingNode node, TaskInterface<?> task) {
+	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(Node node, TaskInterface<?> task) {
 
 		Map<ResourceUnitName, ResourceUnit> map = new HashMap<ResourceUnitName, ResourceUnit>();
@@ -122,7 +122,7 @@
 	}
 
-	private List<ComputingNode> filterNodes(List<ComputingNode> nodes, TaskInterface<?> task) {
-		List<ComputingNode> filteredNodes = new ArrayList<ComputingNode>();
-		for (ComputingNode node : nodes) {
+	private List<Node> filterNodes(List<Node> nodes, TaskInterface<?> task) {
+		List<Node> filteredNodes = new ArrayList<Node>();
+		for (Node node : nodes) {
 			int cpuRequest;
 			try {
@@ -165,6 +165,6 @@
 	}
 
-	private void adjustOtherFans(List<ComputingNode> nodes) {
-		for (ComputingNode node : nodes) {
+	private void adjustOtherFans(List<Node> nodes) {
+		for (Node node : nodes) {
 			if (node.getFreeProcessorsNumber() == node.getProcessorsNumber()) {
 				// node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
@@ -175,7 +175,7 @@
 	}
 
-	class ResourceIdComparator implements Comparator<ComputingNode> {
+	class ResourceIdComparator implements Comparator<Node> {
 
-		public int compare(ComputingNode node1, ComputingNode node2) {
+		public int compare(Node node1, Node node2) {
 			Integer id1 = Integer.parseInt(node1.getName().split("_")[1]);
 			Integer id2 = Integer.parseInt(node2.getName().split("_")[1]);
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/RecsSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/RecsSP.java	(revision 828)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/RecsSP.java	(revision 1247)
@@ -7,5 +7,5 @@
 import java.util.ResourceBundle;
 
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.scheduling.tasks.TaskInterface;
 import test.article2.recs.utils.AppType;
@@ -27,5 +27,5 @@
 	}
 	
-	protected String createExecutivenessQuery(TaskInterface<?> task, ComputingNode node) {
+	protected String createExecutivenessQuery(TaskInterface<?> task, Node node) {
 		Executable exec = (Executable)task;
 		String query = getApplicationType(exec) + "." + getNodeCategory(node);
@@ -38,5 +38,5 @@
 	}
 	
-	private String getNodeCategory(ComputingNode node){
+	private String getNodeCategory(Node node){
 		return node.getCategory();
 	}
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AtomD510NodeEEP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AtomD510NodeEEP.java	(revision 1210)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AtomD510NodeEEP.java	(revision 1247)
@@ -4,5 +4,5 @@
 import java.io.IOException;
 
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
@@ -15,5 +15,5 @@
 			PhysicalResource resource) {
 		double powerConsumption = 0;
-		ComputingNode node = (ComputingNode) resource;
+		Node node = (Node) resource;
 		try {
 			if(jobRegistry.getRunningTasks().size() > 0) {
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/IntelNodeEEP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/IntelNodeEEP.java	(revision 1210)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/IntelNodeEEP.java	(revision 1247)
@@ -4,5 +4,5 @@
 import java.io.IOException;
 
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
@@ -15,5 +15,5 @@
 			PhysicalResource resource) {
 		double powerConsumption = 0;
-		ComputingNode node = (ComputingNode) resource;
+		Node node = (Node) resource;
 		
 		try {
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/DataCenterEnergyEstimationPlugin.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/DataCenterEnergyEstimationPlugin.java	(revision 1210)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/DataCenterEnergyEstimationPlugin.java	(revision 1247)
@@ -1,5 +1,5 @@
 package test.article2.recs.plugins.energy;
 
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.DataCenter;
@@ -17,5 +17,5 @@
 		double power = 0;
 		DataCenter dataCenter = (DataCenter)resource;
-		for(ComputingNode cn:dataCenter.getComputingNodes()){
+		for(Node cn:dataCenter.getNodes()){
 			PowerUsage powerUsage = cn.getPowerInterface().getRecentPowerUsage();
 			power += (powerUsage == null ? 0 : powerUsage.getValue());
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AmdNodeEEP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AmdNodeEEP.java	(revision 1210)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AmdNodeEEP.java	(revision 1247)
@@ -4,5 +4,5 @@
 import java.io.IOException;
 
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
@@ -15,5 +15,5 @@
 			PhysicalResource resource) {
 		double powerConsumption = 0;
-		ComputingNode node = (ComputingNode) resource;
+		Node node = (Node) resource;
 		try {
 			if(jobRegistry.getRunningTasks().size() > 0) {
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsNodeBaseEEP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsNodeBaseEEP.java	(revision 1210)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsNodeBaseEEP.java	(revision 1247)
@@ -10,5 +10,5 @@
 
 import schedframe.events.scheduling.EventReason;
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
@@ -137,6 +137,6 @@
 		
 		ProcessingElements pe = (ProcessingElements) peUnit;
-		if(pe.get(0) instanceof ComputingNode)
-			return ((ComputingNode)pe.get(0)).getCategory();
+		if(pe.get(0) instanceof Node)
+			return ((Node)pe.get(0)).getCategory();
 		if(pe.get(0) instanceof Processor)
 			return ((Processor)pe.get(0)).getParent().getCategory();
@@ -147,6 +147,6 @@
 	private int getFrequency(PEUnit peUnit){
 		ProcessingElements pe = (ProcessingElements) peUnit;
-		if(pe.get(0) instanceof ComputingNode)
-			return Double.valueOf(((ComputingNode)pe.get(0)).getProcessors().get(0).getPowerInterface().getFrequency()).intValue();
+		if(pe.get(0) instanceof Node)
+			return Double.valueOf(((Node)pe.get(0)).getProcessors().get(0).getPowerInterface().getFrequency()).intValue();
 		if(pe.get(0) instanceof Processor)
 			return Double.valueOf(((Processor)pe.get(0)).getPowerInterface().getFrequency()).intValue();
Index: /DCWoRMS/branches/coolemall/src/schedframe/resources/devices/DeviceEnergyExtension.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/resources/devices/DeviceEnergyExtension.java	(revision 1207)
+++ /DCWoRMS/branches/coolemall/src/schedframe/resources/devices/DeviceEnergyExtension.java	(revision 1247)
@@ -7,5 +7,4 @@
 
 import schedframe.events.Event;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.extensions.Extension;
 import schedframe.resources.computing.extensions.ExtensionException;
@@ -14,5 +13,4 @@
 import schedframe.resources.computing.profiles.energy.EnergyEventType;
 import schedframe.resources.computing.profiles.energy.EnergyExtension;
-import schedframe.resources.computing.profiles.energy.EnergyExtension.Builder;
 import schedframe.resources.computing.profiles.energy.airthroughput.AirThroughputInterfaceFactory;
 import schedframe.resources.computing.profiles.energy.airthroughput.AirThroughputProfile;
@@ -114,18 +112,4 @@
 			case POWER_STATE_CHANGED:
 				power = powerProfile.getEnergyEstimationPlugin().estimatePowerConsumption(enEvent, new JobRegistryImpl(resource.getFullName()), resource);
-				/*if(computingResource instanceof ComputingNode){
-					ComputingNode node = (ComputingNode)computingResource;
-					if(event.getData() instanceof PowerState){
-						PowerState newState = (PowerState)event.getData();
-						if(newState == PowerState.ON) {
-							addToPowerUsageHistory(power+node.getPowerInterface().START_COST);
-							addToPowerUsageHistory(DateTimeUtils.currentTimeMillis() + node.getPowerInterface().START_TIME, power);
-						}else if(newState == PowerState.OFF){
-							addToPowerUsageHistory(power+node.getPowerInterface().SHUTDOWN_COST);
-							addToPowerUsageHistory(DateTimeUtils.currentTimeMillis() + node.getPowerInterface().SHUTDOWN_TIME, power);
-						}
-					}
-				}
-				else*/ 
 				
 				status = powerProfile.addToPowerUsageHistory(power);
Index: /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/StandardResourceFactory.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/StandardResourceFactory.java	(revision 1207)
+++ /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/StandardResourceFactory.java	(revision 1247)
@@ -1,5 +1,4 @@
 package schedframe.resources.computing;
 
-import schedframe.resources.CoolEmAllResourceType;
 import schedframe.resources.StandardResourceType;
 import schedframe.resources.computing.description.ComputingResourceDescription;
@@ -23,5 +22,5 @@
 			return new Rack(resDesc);
 		else if (resDesc.getType().equals(StandardResourceType.Node))
-			return new ComputingNode(resDesc);
+			return new Node(resDesc);
 		else if (resDesc.getType().equals(StandardResourceType.Processor))
 			return new Processor(resDesc);
@@ -30,13 +29,5 @@
 		else
 			return new ComputingResource(resDesc);
-	
-		/*switch(resDesc.getType()){
-			case Grid: return new Grid(resDesc);
-			case DataCenter: return new DataCenter(resDesc);
-			case ComputingNode: return new ComputingNode(resDesc);
-			case Processor: return new Processor(resDesc);
-		default:
-			return new ComputingResource(resDesc);
-		}*/
+
 	}
 
Index: /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/PowerInterfaceFactory.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/PowerInterfaceFactory.java	(revision 1207)
+++ /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/PowerInterfaceFactory.java	(revision 1247)
@@ -18,5 +18,5 @@
 			powerInterface = new schedframe.resources.computing.profiles.energy.power.ui.DataCenterPowerInterface((ComputingResource)resource, pp);
 		else if (resource.getType().getName().equals(StandardResourceType.Node.getName()))
-			powerInterface = new schedframe.resources.computing.profiles.energy.power.ui.ComputingNodePowerInterface((ComputingResource)resource, pp);
+			powerInterface = new schedframe.resources.computing.profiles.energy.power.ui.NodePowerInterface((ComputingResource)resource, pp);
 		else if (resource.getType().getName().equals(StandardResourceType.Processor.getName()))
 			powerInterface = new schedframe.resources.computing.profiles.energy.power.ui.ProcessorPowerInterface((ComputingResource)resource, pp);
Index: /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/ui/NodePowerInterface.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/ui/NodePowerInterface.java	(revision 1247)
+++ /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/ui/NodePowerInterface.java	(revision 1247)
@@ -0,0 +1,66 @@
+package schedframe.resources.computing.profiles.energy.power.ui;
+
+
+
+import schedframe.resources.ResourceStatus;
+import schedframe.resources.computing.ComputingResource;
+import schedframe.resources.computing.Node;
+import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.EnergyEventType;
+import schedframe.resources.computing.profiles.energy.power.PowerProfile;
+import schedframe.resources.computing.profiles.energy.power.PowerStateName;
+import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
+
+public class NodePowerInterface extends ComputingResourcePowerInterface{
+
+	public static long START_TIME = 600000;
+	public static long SHUTDOWN_TIME = 300000;
+	public static double START_COST = 4000;
+	public static double SHUTDOWN_COST = 2000;
+
+	
+	public NodePowerInterface(ComputingResource resource, PowerProfile pp){
+		super(resource, pp);
+		currentPowerState = StandardPowerStateName.ON;
+	}
+
+	public boolean setPowerState(PowerStateName state){
+		if(!supportPowerState(state))
+			return false;
+		currentPowerState = state;
+		Node node = (Node) resource;
+		boolean pePowerStateChangeStatus = false;
+		if(node.getProcessors() != null) {
+			for(ComputingResource child:node.getProcessors()){
+				if(child.getPowerInterface() != null){
+					pePowerStateChangeStatus = child.getPowerInterface().setPowerState(state);	
+				}
+			}
+		} 
+		
+		if(!pePowerStateChangeStatus){
+			node.handleEvent(new EnergyEvent(EnergyEventType.POWER_STATE_CHANGED, node.getFullName()));
+		}
+
+		if(state == StandardPowerStateName.OFF){
+			node.setStatus(ResourceStatus.UNAVAILABLE);
+		}
+		else if(state == StandardPowerStateName.ON){
+			node.setStatus(ResourceStatus.FREE);
+		}
+		//node.handleEvent(new EnergyEvent(EnergyEventType.POWER_STATE_CHANGED, computingNode.getName()));
+		//ResourceController.traceResource(new DateTime().getMillis(), resource.getFullName(), "POWER_STATE_CHANGED", state.getName());
+		return true;
+	}
+
+	public void turnOn(){
+		setPowerState(StandardPowerStateName.ON);
+	}
+	
+	public void turnOff(){
+		setPowerState(StandardPowerStateName.OFF);
+	}
+
+
+
+}
Index: /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/DataCenter.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/DataCenter.java	(revision 1207)
+++ /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/DataCenter.java	(revision 1247)
@@ -5,7 +5,4 @@
 import schedframe.resources.StandardResourceType;
 import schedframe.resources.computing.description.ComputingResourceDescription;
-import schedframe.resources.computing.profiles.energy.EnergyExtension;
-import schedframe.resources.computing.profiles.energy.power.PowerInterfaceFactory;
-import schedframe.resources.computing.profiles.energy.power.ui.PowerInterface;
 
 public class DataCenter extends ComputingResource{
@@ -19,6 +16,6 @@
 	
 	@SuppressWarnings("unchecked")
-	public List<ComputingNode> getComputingNodes(){
-		return (List<ComputingNode>) getDescendantsByType(StandardResourceType.Node);
+	public List<Node> getNodes(){
+		return (List<Node>) getDescendantsByType(StandardResourceType.Node);
 	}
 	
Index: /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/Processor.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/Processor.java	(revision 1207)
+++ /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/Processor.java	(revision 1247)
@@ -25,12 +25,12 @@
 	}
 
-	public ComputingNode getNode(){
+	public Node getNode(){
 		ComputingResource compRes = parent;
 		while(compRes != null && !compRes.getType().equals(StandardResourceType.Node)){
 			compRes = compRes.getParent();
 		}
-		ComputingNode compNode = null;
+		Node compNode = null;
 		try{
-			compNode = (ComputingNode)compRes;
+			compNode = (Node)compRes;
 		} catch(Exception e) {
 		}
Index: /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/Rack.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/Rack.java	(revision 1207)
+++ /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/Rack.java	(revision 1247)
@@ -16,6 +16,6 @@
 
 	@SuppressWarnings("unchecked")
-	public List<ComputingNode> getComputingNodes(){
-		return (List<ComputingNode>) getDescendantsByType(StandardResourceType.Node);
+	public List<Node> getNodes(){
+		return (List<Node>) getDescendantsByType(StandardResourceType.Node);
 	}
 	
